Summary:  Gather package and POD information from perl module files
Name:     perl-Module-Metadata
Version:  1.000038
Release:  3%{?dist}
License:  GPL+ or Artistic
URL:      https://metacpan.org/release/Module-Metadata
Source0:  https://cpan.metacpan.org/modules/by-module/Module/Module-Metadata-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  findutils coreutils
BuildRequires:  perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp) perl(strict) perl(version) >= 0.87 perl(warnings)
BuildRequires:  perl(Encode) perl(Fcntl) perl(File::Find) perl(File::Spec)
BuildRequires:  perl(Config) perl(Cwd) perl(Data::Dumper) perl(Exporter)
BuildRequires:  perl(File::Basename) perl(File::Path) perl(File::Spec)
BuildRequires:  perl(File::Temp) perl(IO::File) perl(lib) perl(vars)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(CPAN::Meta) >= 2.120900
Requires:       perl(Encode) perl(Fcntl)

BuildArch:      noarch

%description
This module provides a standard way to gather metadata from .pm files and avoid 
executing unsafe code.

%prep
%autosetup -n Module-Metadata-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENCE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/Module/
%{_mandir}/man3/Module::Metadata.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.000038-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.000038-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.000038-1
- Upgrade to upstream version 1.000038
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.000037-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.000037-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 Wang Guodong <gordonwwang@tencent.com> - 1.000037-1
- package init.
